exec-once=systemctl --user start hyprpolkitagent
exec-once=i3bar-river
exec-once="$HOME/dotfiles/scripts/background.sh"
exec-once=hyprpaper
#exec-once = /nix/store/lww2khz04qsc8prjp8l0haldwz15yivi-dbus-1.14.10/bin/dbus-update-activation-environment --systemd DISPLAY HYPRLAND_INSTANCE_SIGNATURE WAYLAND_DISPLAY XDG_CURRENT_DESKTOP && systemctl --user stop hyprland-session.target && systemctl --user start hyprland-session.target
$mod=SUPER
#source=/nix/store/zqfq9kzjv69rzaif98fjlhg7k0218pyh-catppuccin-hyprland-0-unstable-2024-06-19/mocha.conf
#source=/nix/store/ll6lprw073fwdnqgn75s9csi4i4h1351-hyprland-pink-accent.conf
animations {
  enabled=false
}

decoration {
  blur {
    enabled=false
  }

  shadow {
    enabled=false
  }
}

general {
  gaps_in=0
  gaps_out=0
  col.active_border = 0xfff5a7de
}

input {
  kb_layout=us,ch
  kb_options=caps:swapescape
  kb_variant=,fr
}

misc {
  middle_click_paste=false
  vfr=true
}

monitor=, preferred, auto, 1
# Global shorcuts
bind = SUPER + ALT, S, pass, class:^(com\.obsproject\.Studio)$
bind = SUPER + ALT, O, pass, class:^(com\.obsproject\.Studio)$
bind = SUPER + ALT, P, pass, class:^(com\.obsproject\.Studio)$
bind = SUPER + ALT, R, pass, class:^(com\.obsproject\.Studio)$


# Launchers
bind=$mod, D, exec, bemenu-run
bind=$mod, RETURN, exec, kitty
bind=$mod, Y, exec, foot yazi
bind=$mod + SHIFT, Q, killactive
bind=$mod, SPACE, togglefloating
bind=$mod, B, exec, "$HOME/dotfiles/scripts/background.sh"
bind=$mod, S, exec, "$HOME/dotfiles/scripts/lock.sh"

# Movement
bind=$mod, F, fullscreen, 1
bind=$mod, H, movefocus, l
bind=$mod, J, movefocus, d
bind=$mod, K, movefocus, u
bind=$mod, L, movefocus, r
bind=$mod + SHIFT, H, movewindow, l
bind=$mod + SHIFT, J, movewindow, d
bind=$mod + SHIFT, K, movewindow, u
bind=$mod + SHIFT, L, movewindow, r
bind=$mod, code:10, workspace, 1
bind=$mod SHIFT, code:10, movetoworkspace, 1
bind=$mod, code:11, workspace, 2
bind=$mod SHIFT, code:11, movetoworkspace, 2
bind=$mod, code:12, workspace, 3
bind=$mod SHIFT, code:12, movetoworkspace, 3
bind=$mod, code:13, workspace, 4
bind=$mod SHIFT, code:13, movetoworkspace, 4
bind=$mod, code:14, workspace, 5
bind=$mod SHIFT, code:14, movetoworkspace, 5
bind=$mod, code:15, workspace, 6
bind=$mod SHIFT, code:15, movetoworkspace, 6
bind=$mod, code:16, workspace, 7
bind=$mod SHIFT, code:16, movetoworkspace, 7
bind=$mod, code:17, workspace, 8
bind=$mod SHIFT, code:17, movetoworkspace, 8
bind=$mod, code:18, workspace, 9
bind=$mod SHIFT, code:18, movetoworkspace, 9

# Settings buttons
binde=, XF86AudioRaiseVolume, exec, wpctl set-volume -l 1.5 @DEFAULT_AUDIO_SINK@ 5%+
binde=, XF86AudioLowerVolume, exec, wpctl set-volume -l 1.5 @DEFAULT_AUDIO_SINK@ 5%-
binde=, XF86AudioMute, exec, wpctl set-mute @DEFAULT_AUDIO_SINK@ toggle
binde=, XF86AudioMicMute, exec, wpctl set-mute @DEFAULT_AUDIO_SOURCE@ toggle
binde=, XF86MonBrightnessUp, exec, brightnessctl s +5%
binde=, XF86MonBrightnessDown, exec, brightnessctl s 5%-
bindl=, switch:off:3c3fceb90, exec, swaylock
